Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.auth
Class MalformedChallengeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.ProtocolException
                          org.apache.commons.httpclient.auth.MalformedChallengeException

All Implemented Interfaces:
  Serializable

    public class MalformedChallengeException

extends ProtocolException

Signals that authentication challenge is in some way invalid or illegal in the given context

Since:
  2.0
Author:
  Oleg Kalnichevski
See Also:
  Serialized Form

Constructor Summary
`MalformedChallengeException()` Creates a new MalformedChallengeException with a `null` detail message.
`MalformedChallengeException(String message)` Creates a new MalformedChallengeException with the specified message.
`MalformedChallengeException(String message, Throwable cause)` Creates a new MalformedChallengeException with the specified detail message and cause.

Method Summary

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedChallengeException

    public MalformedChallengeException()

  Creates a new MalformedChallengeException with a `null` detail message.

### MalformedChallengeException

    public MalformedChallengeException(String message)

  Creates a new MalformedChallengeException with the specified message.

  Parameters:
    `message` - the exception detail message

### MalformedChallengeException

    public MalformedChallengeException(String message,
                                       Throwable cause)

  Creates a new MalformedChallengeException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.